package org.dromara.wflow.workflow.service;

import org.dromara.biz.domain.bo.BizTaskWorkBo;
import org.dromara.wflow.workflow.bean.bo.RuansiTaskFeedbackBo;
import org.dromara.wflow.workflow.bean.bo.RuansiTaskXiaFaBo;
import org.dromara.wflow.workflow.bean.bo.RuansiTaskXiaFaMJBo;

public interface RuanseeBizTaskWorkService {
    //中心下发任务
    Boolean xiafa(RuansiTaskXiaFaBo xiaFaBo);

    Boolean xiafaMJ(RuansiTaskXiaFaMJBo xiaFaBo);

    Boolean qianshou(String taskNo);

    Boolean feedback(RuansiTaskFeedbackBo bo);

    //情指下发任务
    Boolean xiafaByQingZhi(RuansiTaskXiaFaBo bo);

    boolean qianshouFeedBack(BizTaskWorkBo workId);

    boolean refuseFeedBack(BizTaskWorkBo bizTaskWorkBo);

    boolean allDone(String taskNo);
}
